Bug 1871346 - /usr/share/cmake/Modules/FindBLAS.cmake does not find flexiblas
Summary: /usr/share/cmake/Modules/FindBLAS.cmake does not find flexiblas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-22 14:51 UTC by Mattias Ellert
Modified: 2020-10-02 00:35 UTC (History)
5 users (show)

Fixed In Version: cmake-3.18.3-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-02 00:35:18 UTC
Type: Bug


Attachments (Terms of Use)
This patch adds FlexiBLAS as a possible BLAS implementation to FindBLAS.cmake (983 bytes, patch)
2020-08-26 17:50 UTC, Mattias Ellert
no flags Details | Diff
This patch adds FlexiBLAS as a possible BLAS/LAPACK implementation to FindBLAS.cmake and FindLAPACK.cmake (1.77 KB, patch)
2020-09-15 13:23 UTC, Mattias Ellert
no flags Details | Diff

Description Mattias Ellert 2020-08-22 14:51:59 UTC
Description of problem:

https://fedoraproject.org/wiki/Changes/FlexiBLAS_as_BLAS/LAPACK_manager

If CMake's FindBLAS would be able to find flexiblas this would require less patches to implement.

Version-Release number of selected component (if applicable):

cmake-3.18.2-1.fc33
cmake-3.18.2-1.fc34

Comment 1 Rex Dieter 2020-08-26 13:41:56 UTC
Patches welcome.  Or can you detail (as much as possible) what needs changing?

Comment 2 Mattias Ellert 2020-08-26 17:50:02 UTC
Created attachment 1712730 [details]
This patch adds FlexiBLAS as a possible BLAS implementation to FindBLAS.cmake

Comment 3 Mattias Ellert 2020-09-15 13:23:31 UTC
Created attachment 1714929 [details]
This patch adds FlexiBLAS as a possible BLAS/LAPACK implementation to FindBLAS.cmake and FindLAPACK.cmake

Both FindBLAS.cmake and FindLAPACK.cmake should support FlexiBLAS.

Comment 4 Mattias Ellert 2020-09-15 13:31:27 UTC
Upstream Merge Request:
https://gitlab.kitware.com/cmake/cmake/-/merge_requests/5225

Comment 5 Mattias Ellert 2020-09-16 18:39:29 UTC
Upstream Merge Request merged.

Comment 6 Fedora Update System 2020-09-30 14:04:51 UTC
FEDORA-2020-4454524871 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4454524871

Comment 7 Fedora Update System 2020-10-01 01:18:50 UTC
FEDORA-2020-4454524871 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4454524871`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4454524871

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-02 00:35:18 UTC
FEDORA-2020-4454524871 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.